<?php
$tdataallocation_users = array();
$tdataallocation_users[".searchableFields"] = array();
$tdataallocation_users[".ShortName"] = "allocation_users";
$tdataallocation_users[".OwnerID"] = "";
$tdataallocation_users[".OriginalTable"] = "allocation_users";


$tdataallocation_users[".pagesByType"] = my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataallocation_users[".originalPagesByType"] = $tdataallocation_users[".pagesByType"];
$tdataallocation_users[".pages"] = types2pages( my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataallocation_users[".originalPages"] = $tdataallocation_users[".pages"];
$tdataallocation_users[".defaultPages"] = my_json_decode( "{\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"search\":\"search\"}" );
$tdataallocation_users[".originalDefaultPages"] = $tdataallocation_users[".defaultPages"];

//	field labels
$fieldLabelsallocation_users = array();
$fieldToolTipsallocation_users = array();
$pageTitlesallocation_users = array();
$placeHoldersallocation_users = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsallocation_users["English"] = array();
	$fieldToolTipsallocation_users["English"] = array();
	$placeHoldersallocation_users["English"] = array();
	$pageTitlesallocation_users["English"] = array();
	$fieldLabelsallocation_users["English"]["id"] = "Id";
	$fieldToolTipsallocation_users["English"]["id"] = "";
	$placeHoldersallocation_users["English"]["id"] = "";
	$fieldLabelsallocation_users["English"]["user_name"] = "User Name";
	$fieldToolTipsallocation_users["English"]["user_name"] = "";
	$placeHoldersallocation_users["English"]["user_name"] = "";
	$fieldLabelsallocation_users["English"]["password"] = "Password";
	$fieldToolTipsallocation_users["English"]["password"] = "";
	$placeHoldersallocation_users["English"]["password"] = "";
	$fieldLabelsallocation_users["English"]["email"] = "Email";
	$fieldToolTipsallocation_users["English"]["email"] = "";
	$placeHoldersallocation_users["English"]["email"] = "";
	$fieldLabelsallocation_users["English"]["full_name"] = "Full Name";
	$fieldToolTipsallocation_users["English"]["full_name"] = "";
	$placeHoldersallocation_users["English"]["full_name"] = "";
	$fieldLabelsallocation_users["English"]["sub_office"] = "Sub Office";
	$fieldToolTipsallocation_users["English"]["sub_office"] = "";
	$placeHoldersallocation_users["English"]["sub_office"] = "";
	$fieldLabelsallocation_users["English"]["position"] = "Position";
	$fieldToolTipsallocation_users["English"]["position"] = "";
	$placeHoldersallocation_users["English"]["position"] = "";
	$fieldLabelsallocation_users["English"]["groupid"] = "Groupid";
	$fieldToolTipsallocation_users["English"]["groupid"] = "";
	$placeHoldersallocation_users["English"]["groupid"] = "";
	$fieldLabelsallocation_users["English"]["active"] = "Active";
	$fieldToolTipsallocation_users["English"]["active"] = "";
	$placeHoldersallocation_users["English"]["active"] = "";
	$fieldLabelsallocation_users["English"]["ext_security_id"] = "Ext Security Id";
	$fieldToolTipsallocation_users["English"]["ext_security_id"] = "";
	$placeHoldersallocation_users["English"]["ext_security_id"] = "";
	$fieldLabelsallocation_users["English"]["reset_date"] = "Reset Date";
	$fieldToolTipsallocation_users["English"]["reset_date"] = "";
	$placeHoldersallocation_users["English"]["reset_date"] = "";
	$fieldLabelsallocation_users["English"]["ud"] = "Ud";
	$fieldToolTipsallocation_users["English"]["ud"] = "";
	$placeHoldersallocation_users["English"]["ud"] = "";
	$fieldLabelsallocation_users["English"]["image"] = "Image";
	$fieldToolTipsallocation_users["English"]["image"] = "";
	$placeHoldersallocation_users["English"]["image"] = "";
	$fieldLabelsallocation_users["English"]["address"] = "Address";
	$fieldToolTipsallocation_users["English"]["address"] = "";
	$placeHoldersallocation_users["English"]["address"] = "";
	if (count($fieldToolTipsallocation_users["English"]))
		$tdataallocation_users[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsallocation_users["sinhala"] = array();
	$fieldToolTipsallocation_users["sinhala"] = array();
	$placeHoldersallocation_users["sinhala"] = array();
	$pageTitlesallocation_users["sinhala"] = array();
	$fieldLabelsallocation_users["sinhala"]["id"] = "Id";
	$fieldToolTipsallocation_users["sinhala"]["id"] = "";
	$placeHoldersallocation_users["sinhala"]["id"] = "";
	$fieldLabelsallocation_users["sinhala"]["user_name"] = "පරිෂීලකයා";
	$fieldToolTipsallocation_users["sinhala"]["user_name"] = "";
	$placeHoldersallocation_users["sinhala"]["user_name"] = "";
	$fieldLabelsallocation_users["sinhala"]["password"] = "මුරපදය";
	$fieldToolTipsallocation_users["sinhala"]["password"] = "";
	$placeHoldersallocation_users["sinhala"]["password"] = "";
	$fieldLabelsallocation_users["sinhala"]["email"] = "විද්යුත් ලිපිනය";
	$fieldToolTipsallocation_users["sinhala"]["email"] = "";
	$placeHoldersallocation_users["sinhala"]["email"] = "";
	$fieldLabelsallocation_users["sinhala"]["full_name"] = "සම්පූර්ණ නම";
	$fieldToolTipsallocation_users["sinhala"]["full_name"] = "";
	$placeHoldersallocation_users["sinhala"]["full_name"] = "";
	$fieldLabelsallocation_users["sinhala"]["sub_office"] = "උප කාර්යාලය";
	$fieldToolTipsallocation_users["sinhala"]["sub_office"] = "";
	$placeHoldersallocation_users["sinhala"]["sub_office"] = "";
	$fieldLabelsallocation_users["sinhala"]["position"] = "තත්වය";
	$fieldToolTipsallocation_users["sinhala"]["position"] = "";
	$placeHoldersallocation_users["sinhala"]["position"] = "";
	$fieldLabelsallocation_users["sinhala"]["groupid"] = "Groupid";
	$fieldToolTipsallocation_users["sinhala"]["groupid"] = "";
	$placeHoldersallocation_users["sinhala"]["groupid"] = "";
	$fieldLabelsallocation_users["sinhala"]["active"] = "Active";
	$fieldToolTipsallocation_users["sinhala"]["active"] = "";
	$placeHoldersallocation_users["sinhala"]["active"] = "";
	$fieldLabelsallocation_users["sinhala"]["ext_security_id"] = "Ext Security Id";
	$fieldToolTipsallocation_users["sinhala"]["ext_security_id"] = "";
	$placeHoldersallocation_users["sinhala"]["ext_security_id"] = "";
	$fieldLabelsallocation_users["sinhala"]["reset_date"] = "Reset Date";
	$fieldToolTipsallocation_users["sinhala"]["reset_date"] = "";
	$placeHoldersallocation_users["sinhala"]["reset_date"] = "";
	$fieldLabelsallocation_users["sinhala"]["ud"] = "Ud";
	$fieldToolTipsallocation_users["sinhala"]["ud"] = "";
	$placeHoldersallocation_users["sinhala"]["ud"] = "";
	$fieldLabelsallocation_users["sinhala"]["image"] = "Image";
	$fieldToolTipsallocation_users["sinhala"]["image"] = "";
	$placeHoldersallocation_users["sinhala"]["image"] = "";
	$fieldLabelsallocation_users["sinhala"]["address"] = "Address";
	$fieldToolTipsallocation_users["sinhala"]["address"] = "";
	$placeHoldersallocation_users["sinhala"]["address"] = "";
	if (count($fieldToolTipsallocation_users["sinhala"]))
		$tdataallocation_users[".isUseToolTips"] = true;
}


	$tdataallocation_users[".NCSearch"] = true;



$tdataallocation_users[".shortTableName"] = "allocation_users";
$tdataallocation_users[".nSecOptions"] = 0;

$tdataallocation_users[".mainTableOwnerID"] = "";
$tdataallocation_users[".entityType"] = 0;
$tdataallocation_users[".connId"] = "allo_at_localhost";


$tdataallocation_users[".strOriginalTableName"] = "allocation_users";

	



$tdataallocation_users[".showAddInPopup"] = false;

$tdataallocation_users[".showEditInPopup"] = false;

$tdataallocation_users[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataallocation_users[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataallocation_users[".listAjax"] = true;
//	temporary
$tdataallocation_users[".listAjax"] = false;

	$tdataallocation_users[".audit"] = true;

	$tdataallocation_users[".locking"] = true;


$pages = $tdataallocation_users[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataallocation_users[".edit"] = true;
	$tdataallocation_users[".afterEditAction"] = 1;
	$tdataallocation_users[".closePopupAfterEdit"] = 1;
	$tdataallocation_users[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataallocation_users[".add"] = true;
$tdataallocation_users[".afterAddAction"] = 1;
$tdataallocation_users[".closePopupAfterAdd"] = 1;
$tdataallocation_users[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataallocation_users[".list"] = true;
}



$tdataallocation_users[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataallocation_users[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataallocation_users[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataallocation_users[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataallocation_users[".printFriendly"] = true;
}



$tdataallocation_users[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataallocation_users[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataallocation_users[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataallocation_users[".isUseAjaxSuggest"] = true;

$tdataallocation_users[".rowHighlite"] = true;



																								

$tdataallocation_users[".ajaxCodeSnippetAdded"] = false;

$tdataallocation_users[".buttonsAdded"] = false;

$tdataallocation_users[".addPageEvents"] = false;

// use timepicker for search panel
$tdataallocation_users[".isUseTimeForSearch"] = false;


$tdataallocation_users[".badgeColor"] = "3CB371";


$tdataallocation_users[".allSearchFields"] = array();
$tdataallocation_users[".filterFields"] = array();
$tdataallocation_users[".requiredSearchFields"] = array();

$tdataallocation_users[".googleLikeFields"] = array();
$tdataallocation_users[".googleLikeFields"][] = "id";
$tdataallocation_users[".googleLikeFields"][] = "user_name";
$tdataallocation_users[".googleLikeFields"][] = "password";
$tdataallocation_users[".googleLikeFields"][] = "email";
$tdataallocation_users[".googleLikeFields"][] = "full_name";
$tdataallocation_users[".googleLikeFields"][] = "sub_office";
$tdataallocation_users[".googleLikeFields"][] = "position";
$tdataallocation_users[".googleLikeFields"][] = "groupid";
$tdataallocation_users[".googleLikeFields"][] = "active";
$tdataallocation_users[".googleLikeFields"][] = "ext_security_id";
$tdataallocation_users[".googleLikeFields"][] = "reset_date";
$tdataallocation_users[".googleLikeFields"][] = "ud";
$tdataallocation_users[".googleLikeFields"][] = "image";
$tdataallocation_users[".googleLikeFields"][] = "address";



$tdataallocation_users[".tableType"] = "list";

$tdataallocation_users[".printerPageOrientation"] = 0;
$tdataallocation_users[".nPrinterPageScale"] = 100;

$tdataallocation_users[".nPrinterSplitRecords"] = 40;

$tdataallocation_users[".geocodingEnabled"] = false;










$tdataallocation_users[".pageSize"] = 50;

$tdataallocation_users[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataallocation_users[".strOrderBy"] = $tstrOrderBy;

$tdataallocation_users[".orderindexes"] = array();


$tdataallocation_users[".sqlHead"] = "SELECT id,  	user_name,  	password,  	email,  	full_name,  	sub_office,  	`position`,  	groupid,  	active,  	ext_security_id,  	reset_date,  	ud,  	image,  	address";
$tdataallocation_users[".sqlFrom"] = "FROM allocation_users";
$tdataallocation_users[".sqlWhereExpr"] = "";
$tdataallocation_users[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataallocation_users[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataallocation_users[".arrGroupsPerPage"] = $arrGPP;

$tdataallocation_users[".highlightSearchResults"] = true;

$tableKeysallocation_users = array();
$tableKeysallocation_users[] = "id";
$tdataallocation_users[".Keys"] = $tableKeysallocation_users;


$tdataallocation_users[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["id"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "id";
//	user_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "user_name";
	$fdata["GoodName"] = "user_name";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","user_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "user_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
				if(count($edata["validateAs"]) && !in_array('IsRequired', $edata["validateAs"]['basicValidate']))
		$edata["validateAs"]['basicValidate'][] = 'IsRequired';
		//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["user_name"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "user_name";
//	password
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "password";
	$fdata["GoodName"] = "password";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","password");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "password";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "password";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Password");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Password");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
				if(count($edata["validateAs"]) && !in_array('IsRequired', $edata["validateAs"]['basicValidate']))
		$edata["validateAs"]['basicValidate'][] = 'IsRequired';
		//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["password"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "password";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "email";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Email");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
						if(count($edata["validateAs"]) && !in_array('IsEmail', $edata["validateAs"]['basicValidate']))
		$edata["validateAs"]['basicValidate'][] = 'IsEmail';
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["email"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "email";
//	full_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "full_name";
	$fdata["GoodName"] = "full_name";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","full_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "full_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "full_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["full_name"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "full_name";
//	sub_office
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "sub_office";
	$fdata["GoodName"] = "sub_office";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","sub_office");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sub_office";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_office";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sub_office";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"ud", 'lookupF'=>"ud");
	$edata["autoCompleteFields"][] = array('masterF'=>"address", 'lookupF'=>"address");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "sub_office";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "sub_office";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["sub_office"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "sub_office";
//	position
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "position";
	$fdata["GoodName"] = "position";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","position");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "position";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`position`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["position"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "position";
//	groupid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "groupid";
	$fdata["GoodName"] = "groupid";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","groupid");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "groupid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "groupid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "subject";
	$edata["LookupValues"][] = "accountant";
	$edata["LookupValues"][] = "manager";
	$edata["LookupValues"][] = "super_admin";

	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["groupid"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "groupid";
//	active
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "active";
	$fdata["GoodName"] = "active";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","active");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "active";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "active";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["active"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "active";
//	ext_security_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "ext_security_id";
	$fdata["GoodName"] = "ext_security_id";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","ext_security_id");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "ext_security_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ext_security_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["ext_security_id"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "ext_security_id";
//	reset_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "reset_date";
	$fdata["GoodName"] = "reset_date";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","reset_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "reset_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reset_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["reset_date"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "reset_date";
//	ud
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "ud";
	$fdata["GoodName"] = "ud";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","ud");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "ud";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ud";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["ud"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "ud";
//	image
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "image";
	$fdata["GoodName"] = "image";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","image");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "image";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "image";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ShowThumbnail"] = true;
	$vdata["ThumbWidth"] = 150;
	$vdata["ThumbHeight"] = 75;
	$vdata["ImageWidth"] = 150;
	$vdata["ImageHeight"] = 50;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 0;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 1;
	$vdata["captionMode"] = 3;
	$vdata["captionField"] = "full_name";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
							$edata["acceptFileTypes"] = "jpg";
			$edata["acceptFileTypesHtml"] = ".jpg";
						$edata["acceptFileTypes"] .= "|png";
			$edata["acceptFileTypesHtml"] .= ",.png";
		$edata["acceptFileTypes"] = "(".$edata["acceptFileTypes"].")$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 300;

				$edata["ResizeImage"] = true;
				$edata["NewSize"] = 300;

	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["image"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "image";
//	address
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "address";
	$fdata["GoodName"] = "address";
	$fdata["ownerTable"] = "allocation_users";
	$fdata["Label"] = GetFieldLabel("allocation_users","address");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "address";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "address";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sub_office";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"sub_office", 'lookupF'=>"sub_office");
	$edata["autoCompleteFields"][] = array('masterF'=>"ud", 'lookupF'=>"ud");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "address";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "address";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
					//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_users["address"] = $fdata;
		$tdataallocation_users[".searchableFields"][] = "address";


$tables_data["allocation_users"]=&$tdataallocation_users;
$field_labels["allocation_users"] = &$fieldLabelsallocation_users;
$fieldToolTips["allocation_users"] = &$fieldToolTipsallocation_users;
$placeHolders["allocation_users"] = &$placeHoldersallocation_users;
$page_titles["allocation_users"] = &$pageTitlesallocation_users;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["allocation_users"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["allocation_users"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_allocation_users()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	user_name,  	password,  	email,  	full_name,  	sub_office,  	`position`,  	groupid,  	active,  	ext_security_id,  	reset_date,  	ud,  	image,  	address";
$proto0["m_strFrom"] = "FROM allocation_users";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "allocation_users";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "user_name",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto8["m_sql"] = "user_name";
$proto8["m_srcTableName"] = "allocation_users";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "password",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto10["m_sql"] = "password";
$proto10["m_srcTableName"] = "allocation_users";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto12["m_sql"] = "email";
$proto12["m_srcTableName"] = "allocation_users";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "full_name",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto14["m_sql"] = "full_name";
$proto14["m_srcTableName"] = "allocation_users";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_office",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto16["m_sql"] = "sub_office";
$proto16["m_srcTableName"] = "allocation_users";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "position",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto18["m_sql"] = "`position`";
$proto18["m_srcTableName"] = "allocation_users";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "groupid",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto20["m_sql"] = "groupid";
$proto20["m_srcTableName"] = "allocation_users";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "active",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto22["m_sql"] = "active";
$proto22["m_srcTableName"] = "allocation_users";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "ext_security_id",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto24["m_sql"] = "ext_security_id";
$proto24["m_srcTableName"] = "allocation_users";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "reset_date",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto26["m_sql"] = "reset_date";
$proto26["m_srcTableName"] = "allocation_users";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "ud",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto28["m_sql"] = "ud";
$proto28["m_srcTableName"] = "allocation_users";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "image",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto30["m_sql"] = "image";
$proto30["m_srcTableName"] = "allocation_users";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "address",
	"m_strTable" => "allocation_users",
	"m_srcTableName" => "allocation_users"
));

$proto32["m_sql"] = "address";
$proto32["m_srcTableName"] = "allocation_users";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "allocation_users";
$proto35["m_srcTableName"] = "allocation_users";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "id";
$proto35["m_columns"][] = "user_name";
$proto35["m_columns"][] = "password";
$proto35["m_columns"][] = "email";
$proto35["m_columns"][] = "full_name";
$proto35["m_columns"][] = "sub_office";
$proto35["m_columns"][] = "position";
$proto35["m_columns"][] = "groupid";
$proto35["m_columns"][] = "active";
$proto35["m_columns"][] = "ext_security_id";
$proto35["m_columns"][] = "reset_date";
$proto35["m_columns"][] = "ud";
$proto35["m_columns"][] = "image";
$proto35["m_columns"][] = "address";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "allocation_users";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "allocation_users";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="allocation_users";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_allocation_users = createSqlQuery_allocation_users();


	
		;

														

$tdataallocation_users[".sqlquery"] = $queryData_allocation_users;



$tableEvents["allocation_users"] = new eventsBase;
$tdataallocation_users[".hasEvents"] = false;

?>